Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LowResImage Class Reference

Definition of a class for streaming images in low resolution i.e. More...

`#include <LowResImage.h>`

Collaboration diagram for LowResImage:

[legend]
List of all members.

## Public Member Functions
| LowResImage (Image &src)
| Constructor.
## Private Attributes
Image & | image
| A reference to the image.
## Friends
Out & | operator<< (Out &stream, const LowResImage &lrImage)
| Streaming operator that writes a low resolution image to a stream.
In & | operator>> (In &stream, LowResImage &lrImage)
| Streaming operator that reads a low resolution image from a stream.

## Detailed Description

Definition of a class for streaming images in low resolution i.e.

without the three additional y channels.

Definition at line 35 of file LowResImage.h.

## Constructor & Destructor Documentation

LowResImage::LowResImage | ( | Image & | src | ) | `[inline]`

| Constructor. Definition at line 47 of file LowResImage.h.

## Friends And Related Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const LowResImage & | lrImage
| ) | `[friend]`

  | Streaming operator that writes a low resolution image to a stream. Parameters:
  stream | The stream to write on.
  lrImage | The LowResImage object.
Returns: The stream. Definition at line 11 of file LowResImage.cpp.

In& operator>> | ( | In & | stream,
|  | LowResImage & | lrImage
| ) | `[friend]`

  | Streaming operator that reads a low resolution image from a stream. Parameters:
  stream | The stream to read from.
  lrImage | The LowResImage object.
Returns: The stream. Definition at line 21 of file LowResImage.cpp.

## Member Data Documentation

Image& LowResImage::image`[private]`

| A reference to the image. Definition at line 41 of file LowResImage.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following file:

- Representations/Perception/LowResImage.h